import {axios} from '@/util/axios/request'

const api = {
  getPage: '/base/aio/version/page',
  getDetail: '/base/aio/version/',
  save: '/base/aio/version/',
  publish: '/base/aio/version/publish/',
  deleteOne: '/base/aio/version/'
}

export default api

export function getPage(parameter) {
  return axios({
    url: api.getPage,
    method: 'post',
    data: parameter,
    useFullLoading: true
  })
}

export function getDetail(id) {
  return axios({
    url: api.getDetail + id,
    method: 'get',
    useFullLoading: true
  })
}

export function publish(id) {
  return axios({
    url: api.publish + id,
    method: 'get',
    useFullLoading: true
  })
}

export function deleteOne(id) {
  return axios({
    url: api.deleteOne + id,
    method: 'delete',
  })
}

export function save(data) {
  return axios({
    url: api.save,
    method: 'post',
    data: data,
    useFullLoading: true
  })
}

